#include <bits/stdc++.h>
using namespace std;
int main() {
    int n, pr=1, i;
    cin>>n;
    for(i=1; i*i<n; i++){
        pr*=i;
    }
    pr/=i-1;
    int maxx=0;
    for(int i=1; i<=n; i+=pr){
        maxx=max(maxx, i);
    }
    cout<<maxx<<endl;
    return 0;
}
